## Panel Plugin Register Macros (4.6 Style) Panel Plugin Register Macros (4.6 Style) — The 4.6 way of registering plugins that compiled as executables |

## Functions

#define | XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL()
#define | XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL_FULL()
#define | XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL_WITH_CHECK()
#define | XFCE_PANEL_PLUGIN_REGISTER_INTERNAL()
#define | XFCE_PANEL_PLUGIN_REGISTER_INTERNAL_WITH_CHECK()

## Includes

    #include <libxfce4panel/libxfce4panel.h>

## Description

Macros to register old external panel plugins that are compiled as executables.

## Functions

### XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL()

    #define             XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL(construct_func)

`XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL` has been deprecated since version 4.8 and should not be used in newly-written code.

Deprecation is not entirely true, but it should be made clear that it is recommended to use `XFCE_PANEL_PLUGIN_REGISTER()`. See the Registering Plugins for more information.

Registers and initializes the plugin. This is the only thing that is required to create a panel plugin.

#### Parameters

construct_func | name of a function that can be cast to an XfcePanelPluginFunc |

### XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL_FULL()

    #define             XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL_FULL(construct_func, preinit_func, check_func)

`XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL_FULL` has been deprecated since version 4.8 and should not be used in newly-written code.

Deprecation is not entirely true, but it should be made clear that it is recommended to use `XFCE_PANEL_PLUGIN_REGISTER_FULL()`. See the Registering Plugins for more information.

Same as `XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL_WITH_CHECK()`, but with a preinit function that is called before `gtk_init()`. This allows plugins to initialize libraries or threads.

#### Parameters

construct_func | name of a function that can be cast to an XfcePanelPluginFunc |
preinit_func | name of a function that can be case to XfcePanelPluginPreInit or `NULL` |
check_func | name of a function that can be cast to an XfcePanelPluginCheck or `NULL` |

Since: 4.6

### XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL_WITH_CHECK()

    #define             XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL_WITH_CHECK(construct_func ,check_func)

`XFCE_PANEL_PLUGIN_REGISTER_EXTERNAL_WITH_CHECK` has been deprecated since version 4.8 and should not be used in newly-written code.

Deprecation is not entirely true, but it should be made clear that it is recommended to use `XFCE_PANEL_PLUGIN_REGISTER_WITH_CHECK()`. See the Registering Plugins for more information.

Registers and initializes the plugin. This is the only thing that is required to create a panel plugin. The `check` functions is run before creating the plugin, and should return FALSE if plugin creation is not possible.

#### Parameters

construct_func | name of a function that can be cast to an XfcePanelPluginFunc |
check_func | name of a function that can be cast to an XfcePanelPluginCheck or `NULL` |

### XFCE_PANEL_PLUGIN_REGISTER_INTERNAL()

    #define             XFCE_PANEL_PLUGIN_REGISTER_INTERNAL(construct_func)

`XFCE_PANEL_PLUGIN_REGISTER_INTERNAL` has been deprecated since version 4.8 and should not be used in newly-written code.

Use `XFCE_PANEL_PLUGIN_REGISTER()` instead.

See `XFCE_PANEL_PLUGIN_REGISTER()` for more information.

#### Parameters

construct_func | name of a function that can be cast to an XfcePanelPluginFunc |

### XFCE_PANEL_PLUGIN_REGISTER_INTERNAL_WITH_CHECK()

    #define             XFCE_PANEL_PLUGIN_REGISTER_INTERNAL_WITH_CHECK(construct_func ,check_func)

`XFCE_PANEL_PLUGIN_REGISTER_INTERNAL_WITH_CHECK` has been deprecated since version 4.8 and should not be used in newly-written code.

use `XFCE_PANEL_PLUGIN_REGISTER_WITH_CHECK()` instead.

See `XFCE_PANEL_PLUGIN_REGISTER()` for more information.

#### Parameters

construct_func | name of a function that can be cast to an XfcePanelPluginFunc |
check_func | name of a function that can be cast to an XfcePanelPluginCheck or `NULL` |

## Types and Values